Bug 1079673 - FTBFS: _cairo_scaled_glyph_page_destroy: Assertion `!scaled_font->cache_frozen' failed
FTBFS: _cairo_scaled_glyph_page_destroy: Assertion `!scaled_font->cache_froze...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pycairo (Show other bugs)
rawhide
powerpc Linux
high Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2014-03-22 17:34 EDT by Karsten Hopp
Modified: 2014-05-21 09:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: pycairo-1.8.10-10.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-21 09:31:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (26.21 KB, text/x-log)
2014-03-22 17:34 EDT, Karsten Hopp
no flags Details
Patch fixing bug (1.43 KB, patch)
2014-05-21 09:24 EDT, Jakub Čajka
no flags Details | Diff

  None (edit)
Description Karsten Hopp 2014-03-22 17:34:15 EDT
Created attachment 877675 [details]
build.log

Description of problem:
The latest pycairo fails on PPC during the unit tests:

+ py.test
============================= test session starts ==============================
platform linux2 -- Python 2.7.6 -- pytest-2.4.2
collected 7 items
api_test.py ......
examples_test.py F
=================================== FAILURES ===================================
________________________________ test_snippets _________________________________
    def test_snippets():
      '''Run all snippets in png,pdf,ps,svg mode and check they exit successfully.
      This will create *.{pdf,png,ps,svg} output files in
      examples/cairo_snippets/snippets/
      '''
      def doSnippets(name):
        retcode = subprocess.call('python %s -s' % name, shell=True)
        assert retcode == 0, 'Error: retcode == {0}'.format(retcode)
    
      os.chdir(os.path.join(os.path.dirname(__file__), '..', 'examples',
                            'cairo_snippets'))
      if cairo.HAS_PDF_SURFACE:
>       doSnippets('snippets_pdf.py')
../../test/examples_test.py:27: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
name = 'snippets_pdf.py'
    def doSnippets(name):
      retcode = subprocess.call('python %s -s' % name, shell=True)
>     assert retcode == 0, 'Error: retcode == {0}'.format(retcode)
E     AssertionError: Error: retcode == -6
../../test/examples_test.py:22: AssertionError
------------------------------- Captured stderr --------------------------------
python: cairo-scaled-font.c:459: _cairo_scaled_glyph_page_destroy: Assertion `!scaled_font->cache_frozen' failed.
====================== 1 failed, 6 passed in 0.40 seconds ======================


Version-Release number of selected component (if applicable):
pycairo-1.8.10-8.fc21

How reproducible:


Steps to Reproduce:
1. ppc-koji build--scratch f21 pycairo-1.8.10-8.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1726804

Expected results:


Additional info:
Comment 1 Dan Horák 2014-05-20 04:13:09 EDT
The tests seems to pass when built on F-20, so maybe a different Cairo or something like that.
Comment 2 Jakub Čajka 2014-05-21 09:24:32 EDT
Created attachment 897971 [details]
Patch fixing bug

lyx-font was missing on ppc from build dependencies, that caused test to fail.
Added patch fixing this bug to attachment.
Comment 3 Dan Horák 2014-05-21 09:31:23 EDT
Thanks a lot, Jakub, closing.

Note You need to log in before you can comment on or make changes to this bug.